package com.lukouguoji.gjc.holder

import android.view.View
import com.lukouguoji.gjc.databinding.ItemBoxAssembleBinding
import com.lukouguoji.module_base.bean.GjcBoxAssembleBean
import com.lukouguoji.module_base.base.BaseViewHolder

class BoxAssembleViewHolder(view: View) :
    BaseViewHolder<GjcBoxAssembleBean, ItemBoxAssembleBinding>(view) {

    override fun onBind(item: Any?, position: Int) {
        val bean = getItemBean(item) ?: return
        binding.bean = bean

        notifyItemClick(position, binding.tvDetails)
        notifyItemClick(position, binding.tvDelete)
    }
}